Home

# Class goog.math.Range

A number range.

Instance Method Summary
| `clone() ⇒ !goog.math.Range`
| `toString() ⇒ string` Returns a string representing the range.

Static Method Summary
| `boundingRange(?goog.math.Range a, ?goog.math.Range b) ⇒ !goog.math.Range` Given two ranges on the same dimension, this returns a range that covers both ranges.
| `contains(?goog.math.Range a, ?goog.math.Range b) ⇒ boolean` Given two ranges, returns true if the first range completely overlaps the second.
| `containsPoint(?goog.math.Range range, number p) ⇒ boolean` Given a range and a point, returns true if the range contains the point.
| `equals(?goog.math.Range a, ?goog.math.Range b) ⇒ boolean` Compares ranges for equality.
| `hasIntersection(?goog.math.Range a, ?goog.math.Range b) ⇒ boolean` Given two ranges on the same dimension, determines whether they intersect.
| `intersection(?goog.math.Range a, ?goog.math.Range b) ⇒ ?goog.math.Range` Given two ranges on the same dimension, this method returns the intersection of those ranges.